Subject: bug#69983: Use category for display-buffer-alist

From: martin rudalics <[email-masked]>
Date: Mon, 25 Mar 2024 10:41:33 +0100

> 'display-comint-buffer-action' and 'display-tex-shell-buffer-action'
 > are out of place in window.el, and they are redundant per se.
 >
 > What these variables are trying to achieve is already possible
 > to do by using a 'category' in 'display-buffer-alist'.

...

 > Or we need to keep backward-compatibility?  Then the first step
 > to deprecate there variables would be something like this:

Please proceed as carefully as possible, here might be dragons.

martin